### Signal

# Gtk TextView::preedit-changed

#### Declaration

    void
    preedit_changed (
      GtkTextView* self,
      gchar* preedit,
      gpointer user_data
    )

#### Description [src]

Emitted when preedit text of the active IM changes.

If an input method is used, the typed text will not immediately be committed to the buffer. So if you are interested in the text, connect to this signal.

This signal is only emitted if the text at the given position is actually editable.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`preedit`

  Type: `gchar*`

  The current preedit string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.